Subject: Re: bug#72309: propertized-buffer-identification with maximum width

From: Heime <[email-masked]>
Date: Sat, 27 Jul 2024 09:22:21 +0000

On Saturday, July 27th, 2024 at 5:48 PM, Eli Zaretskii <[email-masked]> wrote:

> tags 72309 notabug
> thanks
> 
> > Date: Fri, 26 Jul 2024 19:04:14 +0000
> > From: Heime via "Bug reports for GNU Emacs,
> > the Swiss army knife of text editors" [email-masked]
> > 
> > propertized-buffer-identification could be improved so that when using a
> > maximum width there are three dots and a space at the end to indicate
> > that the buffer name has been truncated.
> 
> 
> Emacs doesn't truncate the buffer name shown on the mode line, so no
> ellipsis should be needed, ever. IOW, the maximum width is basically
> infinity.
> 
> Where did you see the buffer name truncated on the mode line?

There is this construct

 (width rest…)

which specifies truncation or padding of the results of rest. 

If used on the buffer name it just truncates without specification 
that truncation occurred.